Bug 161890

Summary: NPE at o.n.m.bugtracking.util.FileToRepoMappingStorage.setAssociation
Product: connecteddeveloper Reporter: Tomas Stupka <tstupka>
Component: BugzillaAssignee: Marian Petras <mpetras>
Status: RESOLVED FIXED QA Contact: issues <issues.netbeans.org>
Priority: P1 CC:
Version: 6.x   
Target Milestone: 6.x   
Hardware: All   
OS: All   
Whiteboard:
Issue Type: DEFECT Exception Report:

Description Tomas Stupka 2009-04-03 14:00:20 UTC
try to create an issue and submit

java.lang.NullPointerException
	at org.netbeans.modules.bugtracking.util.FileToRepoMappingStorage.setAssociation(FileToRepoMappingStorage.java:152)
	at org.netbeans.modules.bugtracking.util.FileToRepoMappingStorage.setLooseAssociation(FileToRepoMappingStorage.java:82)
	at org.netbeans.modules.bugtracking.util.BugtrackingOwnerSupport.setLooseAssociation(BugtrackingOwnerSupport.java:324)
	at org.netbeans.modules.bugzilla.issue.IssuePanel.submitButtonActionPerformed(IssuePanel.java:1283)
	at org.netbeans.modules.bugzilla.issue.IssuePanel.access$2400(IssuePanel.java:89)
	at org.netbeans.modules.bugzilla.issue.IssuePanel$FormListener.actionPerformed(IssuePanel.java:1109)
	at javax.swing.AbstractButton.fireActionPerformed(AbstractButton.java:1882)
	at javax.swing.AbstractButton$Handler.actionPerformed(AbstractButton.java:2202)
	at javax.swing.DefaultButtonModel.fireActionPerformed(DefaultButtonModel.java:420)
	at javax.swing.DefaultButtonModel.setPressed(DefaultButtonModel.java:258)
	at javax.swing.plaf.basic.BasicButtonListener.mouseReleased(BasicButtonListener.java:236)
	at java.awt.Component.processMouseEvent(Component.java:5602)
	at javax.swing.JComponent.processMouseEvent(JComponent.java:3135)
	at java.awt.Component.processEvent(Component.java:5367)
	at java.awt.Container.processEvent(Container.java:2010)
	at java.awt.Component.dispatchEventImpl(Component.java:4068)
	at java.awt.Container.dispatchEventImpl(Container.java:2068)
	at java.awt.Component.dispatchEvent(Component.java:3903)
	at java.awt.LightweightDispatcher.retargetMouseEvent(Container.java:4256)
	at java.awt.LightweightDispatcher.processMouseEvent(Container.java:3936)
	at java.awt.LightweightDispatcher.dispatchEvent(Container.java:3866)
	at java.awt.Container.dispatchEventImpl(Container.java:2054)
	at java.awt.Window.dispatchEventImpl(Window.java:1801)
	at java.awt.Component.dispatchEvent(Component.java:3903)
	at java.awt.EventQueue.dispatchEvent(EventQueue.java:463)
	at org.netbeans.core.TimableEventQueue.dispatchEvent(TimableEventQueue.java:104)
[catch] at java.awt.EventDispatchThread.pumpOneEventForHierarchy(EventDispatchThread.java:269)
	at java.awt.EventDispatchThread.pumpEventsForHierarchy(EventDispatchThread.java:190)
	at java.awt.EventDispatchThread.pumpEvents(EventDispatchThread.java:184)
	at java.awt.EventDispatchThread.pumpEvents(EventDispatchThread.java:176)
	at java.awt.EventDispatchThread.run(EventDispatchThread.java:110)
Comment 1 Marian Petras 2009-04-06 15:43:08 UTC
Fixed.

For some reason a method was passed <null> instead of a real value as a parameter.

Changeset:
#35168372799c
(http://hg.netbeans.org/main/rev/35168372799c)
Comment 2 Quality Engineering 2009-04-07 07:20:30 UTC
Integrated into 'main-golden', will be available in build *200904070200* on http://bits.netbeans.org/dev/nightly/ (upload may still be in progress)
Changeset: http://hg.netbeans.org/main-golden/rev/35168372799c
User: Marian Petras <mpetras@netbeans.org>
Log: fixed bug #161890 ("NPE at o.n.m.bugtracking.util.FileToRepoMappingStorage.setAssociation")
By use of this website, you agree to the NetBeans Policies and Terms of Use. © 2012, Oracle Corporation and/or its affiliates. Sponsored by Oracle logo